Package org.pushingpixels.lafplugin

# Class ComponentPluginManager

java.lang.Object
org.pushingpixels.lafplugin.PluginManager
org.pushingpixels.lafplugin.ComponentPluginManager

public class ComponentPluginManager extends PluginManager
Plugin manager for look-and-feels.

## Constructor Summary

Constructors
Constructor
Description
`ComponentPluginManager(String xmlName)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`initializeAll()`
Helper function to initialize all available component plugins of `this` plugin manager.
`void`
`processAllDefaultsEntries(UIDefaults table, Object themeInfo)`
Helper function to process the (possibly) theme-dependent default settings of all available component plugins of `this` plugin manager.
`void`
`uninitializeAll()`
Helper function to uninitialize all available component plugins of `this` plugin manager.

### Methods inherited from class org.pushingpixels.lafplugin.PluginManager

`getAvailablePlugins, getAvailablePlugins, getPlugin, getPluginClass`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ComponentPluginManager

public ComponentPluginManager(String xmlName)
Simple constructor.

Parameters:
  `xmlName` - The name of XML file that contains plugin configuration.

## Method Details

### initializeAll

public void initializeAll()
Helper function to initialize all available component plugins of `this` plugin manager. Calls the `LafComponentPlugin.initialize()` of all available component plugins.

### uninitializeAll

public void uninitializeAll()
Helper function to uninitialize all available component plugins of `this` plugin manager. Calls the `LafComponentPlugin.uninitialize()` of all available component plugins.

### processAllDefaultsEntries

public void processAllDefaultsEntries(UIDefaults table, Object themeInfo)
Helper function to process the (possibly) theme-dependent default settings of all available component plugins of `this` plugin manager. Calls the `LafComponentPlugin.getDefaults(Object)` of all available plugins and puts the respective results in the specified table.

Parameters:
  `table` - The table that will be updated with the (possibly) theme-dependent default settings of all available component plugins.
  `themeInfo` - LAF-specific information on the current theme.